Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.usermodel
Class HSSFComment

    java.lang.Object
      org.apache.poi.hssf.usermodel.HSSFShape
          org.apache.poi.hssf.usermodel.HSSFSimpleShape
              org.apache.poi.hssf.usermodel.HSSFTextbox
                  org.apache.poi.hssf.usermodel.HSSFComment

All Implemented Interfaces:
  Comment

    public class HSSFComment

extends HSSFTextbox
implements Comment

Represents a cell comment - a sticky note associated with a cell.

Author:
  Yegor Kozlov

Field Summary

Fields inherited from class org.apache.poi.hssf.usermodel.HSSFTextbox
`HORIZONTAL_ALIGNMENT_CENTERED, HORIZONTAL_ALIGNMENT_DISTRIBUTED, HORIZONTAL_ALIGNMENT_JUSTIFIED, HORIZONTAL_ALIGNMENT_LEFT, HORIZONTAL_ALIGNMENT_RIGHT, OBJECT_TYPE_TEXT, VERTICAL_ALIGNMENT_BOTTOM, VERTICAL_ALIGNMENT_CENTER, VERTICAL_ALIGNMENT_DISTRIBUTED, VERTICAL_ALIGNMENT_JUSTIFY, VERTICAL_ALIGNMENT_TOP`

Fields inherited from class org.apache.poi.hssf.usermodel.HSSFSimpleShape
`OBJECT_TYPE_COMBO_BOX, OBJECT_TYPE_COMMENT, OBJECT_TYPE_LINE, OBJECT_TYPE_OVAL, OBJECT_TYPE_PICTURE, OBJECT_TYPE_RECTANGLE`

Fields inherited from class org.apache.poi.hssf.usermodel.HSSFShape
`LINESTYLE_DASHDOTDOTSYS, LINESTYLE_DASHDOTGEL, LINESTYLE_DASHDOTSYS, LINESTYLE_DASHGEL, LINESTYLE_DASHSYS, LINESTYLE_DOTGEL, LINESTYLE_DOTSYS, LINESTYLE_LONGDASHDOTDOTGEL, LINESTYLE_LONGDASHDOTGEL, LINESTYLE_LONGDASHGEL, LINESTYLE_NONE, LINESTYLE_SOLID, LINEWIDTH_DEFAULT, LINEWIDTH_ONE_PT`

Constructor Summary
`HSSFComment(HSSFShape parent, HSSFAnchor anchor)` Construct a new comment with the given parent and anchor.

Method Summary
`java.lang.String` | `getAuthor()` Name of the original comment author
`int` | `getColumn()` Return the column of the cell that contains the comment
`int` | `getRow()` Return the row of the cell that contains the comment
`boolean` | `isVisible()` Sets whether this comment is visible.
`void` | `setAuthor(java.lang.String author)` Name of the original comment author
`void` | `setColumn(int col)` Set the column of the cell that contains the comment
`void` | `setColumn(short col)` Deprecated. (Nov 2009) use `setColumn(int)` }
`void` | `setRow(int row)` Set the row of the cell that contains the comment
`void` | `setString(RichTextString string)` Sets the rich text string used by this comment.
`void` | `setVisible(boolean visible)` Returns whether this comment is visible.

Methods inherited from class org.apache.poi.hssf.usermodel.HSSFTextbox
`getHorizontalAlignment, getMarginBottom, getMarginLeft, getMarginRight, getMarginTop, getString, getVerticalAlignment, setHorizontalAlignment, setMarginBottom, setMarginLeft, setMarginRight, setMarginTop, setVerticalAlignment`

Methods inherited from class org.apache.poi.hssf.usermodel.HSSFSimpleShape
`getShapeType, setShapeType`

Methods inherited from class org.apache.poi.hssf.usermodel.HSSFShape
`countOfAllChildren, getAnchor, getFillColor, getLineStyle, getLineStyleColor, getLineWidth, getParent, isNoFill, setAnchor, setFillColor, setFillColor, setLineStyle, setLineStyleColor, setLineStyleColor, setLineWidth, setNoFill`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.poi.ss.usermodel.Comment
`getString`

Constructor Detail

### HSSFComment

    public HSSFComment(HSSFShape parent,
                       HSSFAnchor anchor)

  Construct a new comment with the given parent and anchor.

  Parameters:
    `parent` -
    `anchor` - defines position of this anchor in the sheet

Method Detail

### setVisible

    public void setVisible(boolean visible)

  Returns whether this comment is visible.

  Specified by:
    `setVisible` in interface `Comment`
  Overrides:
    `setVisible` in class `HSSFSimpleShape`
  Parameters:
    `visible` - `true` if the comment is visible, `false` otherwise

### isVisible

    public boolean isVisible()

  Sets whether this comment is visible.

  Specified by:
    `isVisible` in interface `Comment`
  Overrides:
    `isVisible` in class `HSSFSimpleShape`
  Returns:
    `true` if the comment is visible, `false` otherwise

### getRow

    public int getRow()

  Return the row of the cell that contains the comment

  Specified by:
    `getRow` in interface `Comment`
  Overrides:
    `getRow` in class `HSSFSimpleShape`
  Returns:
    the 0-based row of the cell that contains the comment

### setRow

    public void setRow(int row)

  Set the row of the cell that contains the comment

  Specified by:
    `setRow` in interface `Comment`
  Overrides:
    `setRow` in class `HSSFSimpleShape`
  Parameters:
    `row` - the 0-based row of the cell that contains the comment

### getColumn

    public int getColumn()

  Return the column of the cell that contains the comment

  Specified by:
    `getColumn` in interface `Comment`
  Overrides:
    `getColumn` in class `HSSFSimpleShape`
  Returns:
    the 0-based column of the cell that contains the comment

### setColumn

    public void setColumn(int col)

  Set the column of the cell that contains the comment

  Specified by:
    `setColumn` in interface `Comment`
  Overrides:
    `setColumn` in class `HSSFSimpleShape`
  Parameters:
    `col` - the 0-based column of the cell that contains the comment

### setColumn

    public void setColumn(short col)

  Deprecated. (Nov 2009) use `setColumn(int)` }

### getAuthor

    public java.lang.String getAuthor()

  Name of the original comment author

  Specified by:
    `getAuthor` in interface `Comment`
  Overrides:
    `getAuthor` in class `HSSFSimpleShape`
  Returns:
    the name of the original author of the comment

### setAuthor

    public void setAuthor(java.lang.String author)

  Name of the original comment author

  Specified by:
    `setAuthor` in interface `Comment`
  Overrides:
    `setAuthor` in class `HSSFSimpleShape`
  Parameters:
    `author` - the name of the original author of the comment

### setString

    public void setString(RichTextString string)

  Sets the rich text string used by this comment.

  Specified by:
    `setString` in interface `Comment`
  Overrides:
    `setString` in class `HSSFTextbox`
  Parameters:
    `string` - Sets the rich text string used by this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD